shibsp::ArtifactResolver Class Reference

SAML artifact resolver for SP use. More...

`#include <shibsp/binding/ArtifactResolver.h>`

Inheritance diagram for shibsp::ArtifactResolver:
[legend]
Collaboration diagram for shibsp::ArtifactResolver:
[legend]

## Public Member Functions

bool | isSupported (const opensaml::saml2md::SSODescriptorType &ssoDescriptor) const
opensaml::saml1p::Response * | resolve (const std::vector< opensaml::SAMLArtifact * > &artifacts, const opensaml::saml2md::IDPSSODescriptor &idpDescriptor, opensaml::SecurityPolicy &policy) const
opensaml::saml2p::ArtifactResponse * | resolve (const opensaml::saml2p::SAML2Artifact &artifact, const opensaml::saml2md::SSODescriptorType &ssoDescriptor, opensaml::SecurityPolicy &policy) const

## Detailed Description

SAML artifact resolver for SP use.

The documentation for this class was generated from the following file:

- shibsp/binding/ArtifactResolver.h